  RUN Open-ODBC-Connection (OUTPUT ObjConnection,
                            OUTPUT ObjRecordSet,
                            OUTPUT ObjCommand,
                            OUTPUT cStatus).

  IF cStatus <> "" THEN DO:
      MESSAGE  cStatus VIEW-AS ALERT-BOX.
       RETURN.
  END.

  ASSIGN
    ObjCommand:ActiveConnection  = ObjConnection
    ObjCommand:CommandText       = {&query}
    ObjCommand:CommandType       = 1 /* adCmdText */
    ObjConnection:CursorLocation = 3 /* adUseClient */
    ObjRecordSet:CursorType      = 3 /* adOpenStatic */
    ObjRecordSet:LockType        = {&locktype}
    ObjRecordSet                 = ObjCommand:Execute(OUTPUT ODBC-NULL, "", 32 )
    &IF "{&locktype}" <> "2" &THEN
    ODBC-RECCOUNT                = ObjRecordSet:RecordCount
    &ENDIF
 .

/*

TO-DO: make this enumeration as include-file

some additional information for record locking enumeration:

LockName                 Value    Description

adLockBatchOptimistic     4       Indicates optimistic batch updates. Required for batch update mode.
adLockOptimistic          3       Indicates optimistic locking, record by record. The provider uses optimistic locking, locking records only when you call the Update method.
adLockPessimistic         2       Indicates pessimistic locking, record by record. The provider does what is necessary to ensure successful editing of the records, usually
                                  by locking records at the data source immediately after editing.
adLockReadOnly            1       Indicates read-only records. You cannot alter the data.
adLockUnspecified        -1       Does not specify a type of lock. For clones, the clone is created with the same lock type as the original.
 */
