DEF VAR hConsumer   AS HANDLE NO-UNDO.
DEF VAR hJMSSession AS HANDLE NO-UNDO.

RUN jms/jmssession.p PERSISTENT SET hJMSSession ("-H 192.168.56.102 -S 5162 ").
RUN setBrokerURL IN hJMSSession ("192.168.56.101:2506").
RUN beginSession IN hJMSSession.


RUN createMessageConsumer IN hJMSSession
                         (THIS-PROCEDURE, 
                         "SampleHandler", 
                          OUTPUT hConsumer).

RUN receiveFromQueue IN hJMSSession
                     ("SampleQ1", 
                      ?, 
                      hConsumer). 
RUN startReceiveMessages IN hJMSSession.

WAIT-FOR u1 OF THIS-PROCEDURE.

PROCEDURE SampleHandler:
 DEF INPUT  PARAMETER hMessage     AS HANDLE NO-UNDO.
 DEF INPUT  PARAMETER hMsgConsumer AS HANDLE NO-UNDO.
 DEF OUTPUT PARAMETER hReply       AS HANDLE NO-UNDO.

 DISPLAY "Message text: "
 DYNAMIC-FUNCTION('getText':U IN hMessage) FORMAT "x(70)".
 RUN deleteMessage IN hMessage.
 APPLY "U1" TO THIS-PROCEDURE.
END PROCEDURE.
